Security Advisory Important: jbossas security update

Advisory: RHSA-2012:1025-1
Type: Security Advisory
Severity: Important
Issued on: 2012-06-20
Last updated on: 2012-06-20
Affected Products: JBoss Enterprise Application Platform 4.3.0 EL4
JBoss Enterprise Application Platform 4.3.0 EL5
CVEs (cve.mitre.org): CVE-2011-4605

Details

Updated jbossas packages that fix one security issue are now available for
JBoss Enterprise Application Platform 4.3.0 CP10 for Red Hat
Enterprise Linux 4 and 5.

The Red Hat Security Response Team has rated this update as having
important security impact. A Common Vulnerability Scoring System (CVSS)
base score, which gives a detailed severity rating, is available from the
CVE link in the References section.

JBoss Application Server is the base package for JBoss Enterprise
Application Platform, providing the core server components. The Java Naming
and Directory Interface (JNDI) Java API allows Java software clients to
locate objects or services in an application server.

It was found that the JBoss JNDI service allowed unauthenticated, remote
write access by default. The JNDI and HA-JNDI services, and the
HAJNDIFactory invoker servlet were all affected. A remote attacker able to
access the JNDI service (port 1099), HA-JNDI service (port 1100), or the
HAJNDIFactory invoker servlet on a JBoss server could use this flaw to add,
delete, and modify items in the JNDI tree. This could have various,
application-specific impacts. (CVE-2011-4605)

Red Hat would like to thank Christian Schlüter (VIADA) for reporting this
issue.

Warning: Before applying this update, back up your JBoss Enterprise
Application Platform's "server/[PROFILE]/deploy/" directory, along with all
other customized configuration files.

Users of JBoss Enterprise Application Platform 4.3.0 CP10 on Red Hat
Enterprise Linux 4 and 5 should upgrade to these updated packages, which
correct this issue. The JBoss server process must be restarted for this
update to take effect.


Solution

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/knowledge/articles/11258

Updated packages

JBoss Enterprise Application Platform 4.3.0 EL4

SRPMS:
jbossas-4.3.0-10.GA_CP10_patch_01.1.ep1.el4.src.rpm
File outdated by:  RHSA-2013:0249
    MD5: 464e4d441a7cbb2f8ac8f9059ddba995
SHA-256: 114fcf888c7fe688ce97fcfd51b22be68c000a8fd8acebded200cac0c8ae5175
 
IA-32:
jbossas-4.3.0-10.GA_CP10_patch_01.1.ep1.el4.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: a365254108a8210cfedcb3f44b9b74a6
SHA-256: ce76e27d1241457ac7d59db56fb98e86446b3dc5477488fb0dbb1ae616e4072f
jbossas-client-4.3.0-10.GA_CP10_patch_01.1.ep1.el4.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: 54eab926043702ff4048e6355b129490
SHA-256: 84485cd982c9bd92db5cf29b3eb9cde3147db309278bd9f94f97051146cb7d0d
 
x86_64:
jbossas-4.3.0-10.GA_CP10_patch_01.1.ep1.el4.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: a365254108a8210cfedcb3f44b9b74a6
SHA-256: ce76e27d1241457ac7d59db56fb98e86446b3dc5477488fb0dbb1ae616e4072f
jbossas-client-4.3.0-10.GA_CP10_patch_01.1.ep1.el4.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: 54eab926043702ff4048e6355b129490
SHA-256: 84485cd982c9bd92db5cf29b3eb9cde3147db309278bd9f94f97051146cb7d0d
 
JBoss Enterprise Application Platform 4.3.0 EL5

SRPMS:
jbossas-4.3.0-10.GA_CP10_patch_01.1.ep1.el5.src.rpm
File outdated by:  RHSA-2013:0249
    MD5: 8bf2ef07b5eb033412eba7da6a8d39ac
SHA-256: ae5c05a1b1848bde0aebd968b0cd008339479406d3ba0b3659aaad5304952cd4
 
IA-32:
jbossas-4.3.0-10.GA_CP10_patch_01.1.ep1.el5.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: 01ef8bd0f1f73bc65777ea39a88e8059
SHA-256: 39005c3d73a36dfd09597cb8c90f2af4c40658261ec2f96bebba9367aa706f5b
jbossas-client-4.3.0-10.GA_CP10_patch_01.1.ep1.el5.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: 1d86a80d5eba02d6d16d2e123964ffb1
SHA-256: 26d7794982b21d7342ca608bf20130f7b1bcb7750aef03578259cd063ba5f222
 
x86_64:
jbossas-4.3.0-10.GA_CP10_patch_01.1.ep1.el5.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: 01ef8bd0f1f73bc65777ea39a88e8059
SHA-256: 39005c3d73a36dfd09597cb8c90f2af4c40658261ec2f96bebba9367aa706f5b
jbossas-client-4.3.0-10.GA_CP10_patch_01.1.ep1.el5.noarch.rpm
File outdated by:  RHSA-2013:0249
    MD5: 1d86a80d5eba02d6d16d2e123964ffb1
SHA-256: 26d7794982b21d7342ca608bf20130f7b1bcb7750aef03578259cd063ba5f222
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

766469 - CVE-2011-4605 JNDI: unauthenticated remote write access is permitted by default


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/